#pragma once

#include "OpenXLSX.hpp"
#include <string>

using namespace OpenXLSX;

class XlsxEntity
{
public:
	XlsxEntity(std::string filename);
	~XlsxEntity();

	/**
	* @param [string index] 单元格索引，例如 A1, D6
	*/
	void setCell(std::string index, std::string v);

	void setCell(int row, int col, std::string v);

	void close();

private:
	XLWorksheet sheet_;
	XLDocument xldom_;
};